%define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%define gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define gemname sqlite3-ruby
%define geminstdir %{gemdir}/gems/%{gemname}-%{version}
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}

Summary:        Allows Ruby scripts to interface with a SQLite3 database
Name:           rubygem-%{gemname}
Version:        1.2.4
Release:        2%{?dist}
Group:          Development/Languages
License:        BSD
URL:            http://sqlite-ruby.rubyforge.org/sqlite3
# Source URL changes file ID every version; no macro's used in Source0 so that we
# can copy paste the link
Source0:        http://rubyforge.org/frs/download.php/42056/sqlite3-ruby-1.2.4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       rubygems
Requires:       ruby(abi) = 1.8
BuildRequires:  rubygems
BuildRequires:  ruby-devel
BuildRequires:  sqlite-devel
BuildRequires:  rubygem-rake
BuildRequires:  zip
Provides:       rubygem(%{gemname}) = %{version}

%description
SQLite3/Ruby is a module to allow Ruby scripts to interface with a SQLite3
database.

%prep
%setup -q -n %{gemname}-%{version}

%build
rake build package

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc pkg/%{gemname}-%{version}
install -d -m0755 %{buildroot}%{ruby_sitearch}
# .so built by gem install has install-dir embedded, which fails check-buildroot
install -cpm 0755 ext/sqlite3_api/sqlite3_api.so %{buildroot}%{ruby_sitearch}
rm -rf %{buildroot}%{geminstdir}/ext
# even though we removed the lib/ directory from the svn sources, we still
# need to remove the object files in lib/ so that check-buildroot doesn't complain
rm -rf %{buildroot}%{geminstdir}/lib/*.so

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc LICENSE
%{ruby_sitearch}/sqlite3_api.so
%{gemdir}/gems/%{gemname}-%{version}/
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 1.2.4-1
- Fix items from review (#459881)
- New upstream version

* Sun Aug 31 2008 Jeroen van Meeuwen <kanarip@fedoraproject.org> - 1.2.2-2
- Fix items from review (#459881)

* Sun Jul 13 2008 Matt Hicks <mhicks@localhost.localdomain> - 1.2.2-1
- Initial package
